Edushade Docs
Curriculum

Add new item

POST
/learning/curriculum/{entity_type}/{entity_id}/items
AuthorizationBearer <token>

In: header

Path Parameters

entity_typestring

Type of context (course, cohort, learning_path)

Defaultnull
entity_idstring

ID of the course, cohort, or learning path

Defaultnull
Formatuuid
content_idstring
Default"123e4567-e89b-12d3-a456-426614174010"
Formatuuid
content_typestring
Default"lesson"
order_indexinteger
Default5
parent_idstring
Default"123e4567-e89b-12d3-a456-426614174009"
Formatuuid

Response Body

curl -X POST "https://edushade.com/api/v1/learning/curriculum/{entity_type}/{entity_id}/items" \
  -H "Content-Type: application/json" \
  -d '{
    "content_id": "123e4567-e89b-12d3-a456-426614174010",
    "content_type": "lesson",
    "order_index": 5,
    "parent_id": "123e4567-e89b-12d3-a456-426614174009"
  }'
{}
Empty
Empty
Empty